VMS: openssl_ivp must call versioned openssl_startup and openssl_utils
authorRichard Levitte <levitte@openssl.org>
Fri, 8 Jul 2016 13:01:04 +0000 (15:01 +0200)
committerRichard Levitte <levitte@openssl.org>
Fri, 8 Jul 2016 15:37:29 +0000 (17:37 +0200)
Reviewed-by: Rich Salz <rsalz@openssl.org>
VMS/openssl_ivp.com.in

index 950542b..6a944fa 100644 (file)
@@ -14,12 +14,12 @@ $   INSTALLTOP_ = F$PARSE("A.;",INSTALLTOP,,,"NO_CONCEAL") -
 $      OPENSSLDIR_ = F$PARSE("A.;",OPENSSLDIR,,,"NO_CONCEAL") -
                     - ".][000000" - "[000000." - "][" - "]A.;" + "."
 $
-$      @'INSTALLTOP_'SYS$STARTUP]openssl_startup
-$      @'INSTALLTOP_'SYS$STARTUP]openssl_utils
-$
 $      v    := {- sprintf "%02d%02d", split(/\./, $config{version}) -}
 $      pz   := {- $config{pointer_size} -}
 $      
+$      @'INSTALLTOP_'SYS$STARTUP]openssl_startup'v'
+$      @'INSTALLTOP_'SYS$STARTUP]openssl_utils'v'
+$
 $      IF F$SEARCH("OSSL$LIBCRYPTO''pz'") .EQS. "" -
            .OR. F$SEARCH("OSSL$LIBSSL''pz'") .EQS. "" -
            .OR. F$SEARCH("OSSL$LIBCRYPTO_SHR''pz'") .EQS. "" -